# Assembler Styles
style.asm.32=fore:#808080
# Default
style.asm.0=
# Comment
style.asm.1=colour.code.comment.line
# Number
style.asm.2=fore:#ff0000
# String
style.asm.3=$(colour.string)
# Operator
style.asm.4=$(colour.operator)
# Identifier
style.asm.5=
# CPU instruction
style.asm.6=$(colour.keyword)
#fore:#0000ff
# FPU instruction
style.asm.7=fore:#0000ff
# Register
style.asm.8=fore:#46aa03
# assembler Directive
style.asm.9=fore:#0000ff
# assembler Directive Operand
style.asm.10=fore:#0000ff
# Comment block (GNU as /*...*/ syntax, unimplemented)
style.asm.11=$(colour.code.comment.box),$(font.code.comment.box)
# Character/String (single quote) (also character prefix in GNU as)
style.asm.12=$(colour.char)
# End of line where string is not closed
style.asm.13=fore:#000000,back:#E0C0E0,eolfilled
# Extended instructions
style.asm.14=fore:#B00040

# x64 registers
register=ah al ax bh bl bp bx ch cl cr0 cr2 cr3 cr4 cs \
    cx dh di dl dr0 dr1 dr2 dr3 dr6 dr7 ds dx eax ebp ebx ecx edi edx \
    es esi esp fs gs si sp ss st tr3 tr4 tr5 tr6 tr7 \
    st0 st1 st2 st3 st4 st5 st6 st7 mm0 mm1 mm2 mm3 mm4 mm5 mm6 mm7 \
    xmm0 xmm1 xmm2 xmm3 xmm4 xmm5 xmm6 xmm7 \
    eax ecx edx ebx esp ebp esi edi r8d r9d r10d r11d r12d r13d r14d r15d \
    rax rcx rdx rbx rsp rbp rsi rdi r8 r9 r10 r11 r12 r13 r14 r15
